1. Chargebacks
  • API Docs Chile 🇨🇱
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
      • Create payment (tokenless)
      • Make a charge or deferred charge
      • Void a transaction
      • Refund a transaction
      • Request deferred options
      • Authorize payments
      • Preauthorization (tokenless)
      • Reauthorize payments
      • Capture an authorized payment
      • Verify Account
      • Validate OTP
      • Bin Info V2
      • Bin Info
      • Voucher
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Update recurring charge card data
      • Make an One-click payment
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Authorize payments
      • Capture an authorized payment
      • Get recurring charge Info
    • Card Async
      • Request a card async token
      • Init Transaction
      • Authorize payments
      • Capture an authorized payment
      • Get Status
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Authorize payments
      • Capture an authorized payment
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
      • Init Transaction
      • Transaction Status
    • Smartlinks V2
      • Create a Smartlink
      • Get a Smartlink
      • Delete a smartlink
      • Update a Smartlink
    • Payment Button
      • Create a payment button
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Status
      • Get platform status
      • Get gateway status
    • Subscription Transactions
      • Get subscription transactions
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Update credential
      • Regenerate a credential
      • Delete credential
      • Activate or deactivate
      • Advanced search
    • Settlement
      • Query settlement
  • API Raw Card Present Payments
    • Release Notes
    • Error Catalog
    • Test Data
    • Key Exchange Process
    • The Amount Object
    • The Amount Object Copy
    • One-time payments
      • Single payment
    • Two-step-payments
      • Authorization and capture
    • Voids & Refunds
      • Refund a transaction
      • Void & Reverse
    • Card information
      • Get BIN Info
      • Bin Info V2
      • Request deferred options
    • Query Transactions
      • Transaction Search
    • Webhooks
      • Introduction
      • Good practices
      • Refunds
      • Card Payments
      • Check your webhooks
    • Chargebacks
      • Query Chargebacks
        POST
      • Request Chargeback Export
        POST
  • Kushki One
    • Cloud Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
      • Search
        • Transaction Search
      • Print
        • Create Print Job
        • Get Print Job Status
    • Local Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
      • Search
        • Transaction Search — Online
        • Transaction Search — Local
      • Print
        • Create Print Job
        • Get Print Job Status
        • Print Job Webhook (inbound — implemented by your POS)
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • RequestBodies
      • one-and-two-step-payment
    • documentType
    • Amount-cash-in
    • amount
    • Card
    • ChargebackListResponse
    • Channel
    • StatusComponent
    • SubscriptionTransactionsResponse
    • SettlementDateRangeRequest
    • AmountWithTaxes
    • PrintJobRequest
    • networkToken
    • extra_taxes
    • ChargebackItem
    • SubscriptionTransaction
    • SettlementTicketRequest
    • AmountCore
    • CommandText
    • webhooks
    • card
    • Amount-CL
    • webhooksItem
    • ErrorResponse400
    • SettlementResponse
    • ExtraTaxes
    • CommandColumns
    • headers
    • currency
    • Amount
    • card_details
    • ErrorResponse401
    • SettlementRecord
    • ColumnItem
    • Metadata
    • transactionType
    • enc_tlv
    • ErrorResponse403
    • ErrorResponse
    • TransactionResponse
    • CommandDivider
    • extraTaxes
    • Country
    • binInfo
    • Deferred
    • deferred
    • ErrorResponse500
    • payment_method
    • RawResponse
    • CommandFeed
    • SubscriptionUpdate
    • pos_details
    • CardData
    • CommandSpace
    • ContactDetails
    • Language
    • contact_details
    • sub_merchant
    • AmountWithTip
    • CommandCut
    • Subscription
    • metadata
    • LinkFailure
    • CommandImage
    • orderDetails
    • TransactionSearchRequest
    • CommandQR
    • Shipping Address
    • payment_submethod
    • CommandBarcode
    • Billing-Address
    • PrinterError
    • product
    • PrintJobStatus
    • threeDomainSecure
    • SubscriptionAdjustmentRequest
    • PrintWebhookPayload
    • webhooksChargeback
    • citMit
    • network
    • messageFields
    • UnexpectedErrorResponse
    • ExternalReferenceId
    • ExternalSubscriptionId
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. Chargebacks

Query Chargebacks

Developing
POST
/data/v1/chargebacks/search
Returns a paginated list of chargebacks associated with the authenticated merchant.

Filters object#

Use the filters object to narrow results by transaction_date, request_date, chargeback_status, country_name, chargeback_type, ticket_code, or chargeback_ticket_code.

Time Filter#

The time filter is required and works as follows:
Send either transaction_date or request_date
Sending both returns an error.
The maximum allowed date window is 3 months.

Fields array#

The fields array allows you to request additional fields beyond the default response set. If fields is omitted, only the standard fields are returned.
Limit: The maximum allowed value for page_size in this version is 100 records per page.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Successful query
application/json
Successful query. Returns the paginated list of chargebacks matching the applied filters.
Bodyapplication/json

🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-uat.kushkipagos.com/data/v1/chargebacks/search' \
--header 'private-merchant-id;' \
--header 'Content-Type: application/json' \
--data '{
    "filters": {
        "time": {
            "transaction_date": {
                "from": "2026-02-01",
                "to": "2026-02-28"
            }
        }
    },
    "pagination": {
        "page": 1,
        "page_size": 20
    }
}'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": "0c2dac27-ba93-4d82-86ec-fd960186cb5e",
            "chargeback_ticket_code": "1770146347760977",
            "merchant_name": "AGREGADOR",
            "chargeback_status": "INITIALIZED",
            "reason_code": "4834",
            "request_amount": 2325.3,
            "currency_code": "CLP",
            "transaction_date": "2019-08-24T14:15:22.123Z",
            "request_date": "2019-08-24T14:15:22.123Z",
            "deadline_representation_date": "2019-08-24T14:15:22.123Z",
            "deadline_resolution_date": "2019-08-24T14:15:22.123Z",
            "risk_level": "HIGH",
            "ticket_code": "string",
            "operation_id": "string",
            "transaction_reference": "string",
            "merchant_code": "string",
            "business_unit": "string",
            "product_code": "string",
            "product_description": "string",
            "approved_transaction_amount": 0,
            "transaction_type": "string",
            "transaction_status": "string",
            "chargeback_type": "ADMINISTRATIVE",
            "reason_description": "string",
            "notification_status": "string",
            "documentation_reception_date": "2019-08-24T14:15:22.123Z",
            "execution_date": "2019-08-24T14:15:22.123Z",
            "issuing_delivery_date": "2019-08-24T14:15:22.123Z",
            "create_timestamp": "2019-08-24T14:15:22.123Z",
            "update_timestamp": "2019-08-24T14:15:22.123Z",
            "processor_name": "string",
            "issuing_bank": "string",
            "card_country_name": "MEXICO",
            "country_name": "MEXICO",
            "security_service": "string",
            "security_message": "string",
            "masked_credit_card": "string",
            "last_four_digit_code": "string",
            "source": "string"
        }
    ],
    "page": 1,
    "page_size": 20,
    "total": 19990,
    "total_pages": 1000
}
Modified at 2026-08-03 16:55:29
Previous
Chargebacks
Next
Request Chargeback Export
Built with